Subject: [PATCH 2/2] misc: atmel_pwm: set initcall level to subsys

From: [email-masked] (Johan Hovold)
Date: Thu, 31 Oct 2013 15:01:40 +0100

On Wed, Oct 30, 2013 at 09:46:17PM +0100, Arnd Bergmann wrote:
> On Wednesday 30 October 2013, Johan Hovold wrote:
> > > I really hate this type of patch, as it's papering over the real
> > > problem.  What happens when someone else moves their driver to this
> > > level?  Then you are back to the original problem.
> > 
> > Yes, it's crude, but it's currently the only way to express a preferred
> > probe order.
> 
> Does the same problem occur with the generic PWM subsystem?

It does not suffer from the problem with failed probe as it supports
deferred probing, but there could be added delays depending on probe
order.

> The atmel_pwm driver apparently is the last PWM driver that has
> not been converted to the generic subsystem yet. Doing that would
> also let us drop the atmel-pwm-bl driver in favor of the generic
> backlight.

As Bo mentioned, it's work in progress that hasn't been merged yet.

Johan